*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    padding: 2rem;
    font-family: "Poppins", sans-serif;
}

form{
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
}

a#principal-info{
    color: black;
    text-decoration: none;
    cursor: default;
}

i.fa-circle-info{
    font-size: 0.75rem;
    cursor: pointer;
    margin-right: 1rem;
}

.default-hide{
    display: none;
}

p.principal-meaning:hover{
    display: block;
}

div.interest-type, div.time-frames{
    display: flex;
    column-gap: 2rem;
}

div.interest-type div, div.time-frames div{
    display: flex;
    column-gap: 0.25rem;
}

input{
    font-family: "Poppins", sans-serif;
    border: solid 2px darkslategray;
    padding-left: 0.5rem;
    border-radius: 0.45rem;
}

select{
    font-family: "Poppins", sans-serif;
    border: solid 2px darkslategray;
    border-radius: 0.45rem;
}

div.rate{
    display: flex;
    align-items: center;
    column-gap: 1rem;
}

div.rate div{
    display: flex;
    column-gap: 1rem;
}

div.submit button{
    padding: 0.5rem 1rem;
    background: teal;
    border: none;
    font-family: 'Poppins', sans-serif;
    border-radius: 0.25rem;
    color: white;
    text-shadow: 1px 1px 3px black;
    font-weight: bold;
}

@media screen and (max-width: 420px){
    body{
        width: 96%;
        padding: 2rem 0 0 0;
        margin: 0 auto;
        font-family: "Poppins", sans-serif;
    }

    div.interest-type{
        display: flex;
        flex-direction: column;
    }

    div.rate{
        display: flex;
        width: 100%;
        flex-direction: column;
        align-items: flex-start;
    }
}